Warning: call_user_func_array() expects parameter 1 to be a valid callback, class 'collapsArch' does not have a method 'enqueue_scripts' in /home/customer/www/allanhutchison.net/public_html/wp-includes/class-wp-hook.php on line 307

NPAPI

Seems like every couple months people start crying ‘the sky is falling’ with Firefox and Netscape Plugin Application Programming Interface (NPAPI) plugins. Earlier this week there was a flurry of activity with Bug 1165981. Again people seem to think that Firefox is not going support NPAPI plugins anymore on Windows since the 64-Bit (Win64) versions does not (except for Flash). As a reminder the removal of NPAPI support only applies to the Win64 version of Firefox. The 32-bit Windows version still supports all the NPAPI plugins including Java and Silverlight. However, Mozilla does plan on discontinuing support in the future with the Firefox 32-bit…

Read More

Following in the footsteps of Google and Microsoft, Mozilla plans to eliminate support for the ancient NPAPI plugins (with the exception of heavily sandboxed version of Flash) in the next year. This would include the 32-bit versions of Firefox. There has been a lot of heated discussions in the past few months in regards to Mozilla removing the support of NPAPI plugins (mainly Silverlight and Java) from the upcoming (Firefox 43?) Windows 64-bit (Win64) version of Firefox. I agree this needs to be done as NPAPI plugin technology is over 20-years old from the Netscape days and is badly outdated…

Read More